using System;

namespace Pecina
{
	class Program
	{
		public static void Main(string[] args)
		{
			
			string s=Console.ReadLine();
			int n=int.Parse(s.Split()[0]);
			int l=int.Parse(s.Split()[1]);
			
			
			int[] H=new int[n];
			s=Console.ReadLine();
			for(int i=0;i<n;i++)
			{
				H[i]=int.Parse(s.Split()[i]);
			}
			
			int p=-1;
			
			for(int i=0;i<n;i++)
			{
				if(l>=H[i])
				{
					p=i+1;
					break;
				}
			}
			
			Console.WriteLine(p);
		}
	}
}